Access Control
All operations require authentication.
List project ACLsProduction
List project ACLs. Returns the OVHcloud accounts that have access to the project. Filter by access type with the type parameter.
Path parameters
The project id
Query parameters
Filter the value of type property (=)
readOnlyreadWriteResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ acl \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a project ACLProduction
Get a project ACL. Returns the access type of one OVHcloud account on the project: read-only or read-write.
Path parameters
OVH customer unique identifier
The project id
Response
OVH customer unique identifier
ACL type
readOnlyreadWriteExample uses accountId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ acl/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "accountId": "string", "type": "readOnly"}
Grant access to the projectProduction
Grant access to the project. Gives another OVHcloud account read-only or read-write access to the project.
Path parameters
The project id
Request body (required)
Deleguates rights to
Acl type
readOnlyreadWriteResponse
OVH customer unique identifier
ACL type
readOnlyreadWriteExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ acl \
-H "authorization: Bearer $OVH_TOKEN"{ "accountId": "string", "type": "readOnly"}
Revoke access to the projectProduction
Path parameters
OVH customer unique identifier
The project id
Response
Example uses accountId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ acl/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN"